org.gradle.api.artifacts.repositories

## Interface ArtifactRepository

- All Known Subinterfaces:
    FlatDirectoryArtifactRepository, GroovyMavenDeployer, IvyArtifactRepository, MavenArtifactRepository, MavenDeployer, MavenResolver

      public interface ArtifactRepository

  A repository for resolving and publishing artifacts.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns the name for this repository.
    `void` | `setName(String name)` Sets the name for this repository.

- - ### Method Detail

    - #### getName

          String getName()

      Returns the name for this repository. A name must be unique amongst a repository set. A default name is provided for the repository if none is provided.

      The name is used in logging output and error reporting to point to information related to this repository.

      Returns:
        The name.

    - #### setName

          void setName(String name)

      Sets the name for this repository.
      Parameters:
        `name` - The name. Must not be null.